Name: ocaml
Version: 3.00
Release: 1mdk
Summary: The Objective Caml compiler and programming environment
Source0: ftp://ftp.inria.fr/lang/caml-light/ocaml-%{version}.tar.bz2
Source1: ftp://ftp.inria.fr/lang/caml-light/ocaml-%{version}-refman.html.tar.bz2
Source2: ftp://ftp.inria.fr/lang/caml-light/ocaml-%{version}-refman.ps.bz2
Source3: ftp://ftp.inria.fr/lang/caml-light/ocaml-%{version}-refman.info.tar.bz2
Source4: %{name}.menu
Copyright: Open Source
Group: Development/Other
URL: http://caml.inria.fr/
BuildRoot: /tmp/ocaml-root
Obsoletes: ocamltk

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel system,
Lex&Yacc tools, a replay debugger, and a comprehensive library.

%package emacs
Group: Development/Other
Summary: Emacs mode for OCaml
Requires: ocaml

%description emacs
Emacs mode files for Objective Caml language

%prep
%setup -T -b 0
%setup -T -D -a 1
%setup -T -D -a 3

%build
./configure -bindir /usr/bin -libdir /usr/lib/ocaml -mandir /usr/man/man1
make world opt ocamlc.opt ocamlopt.opt

%install
rm -rf $RPM_BUILD_ROOT
p=$RPM_BUILD_ROOT/usr

echo BINDIR=$p/bin >> config/Makefile
echo LIBDIR=$p/lib/ocaml >> config/Makefile
echo MANDIR=$p/man/man1 >> config/Makefile
make install installopt

install -d $p/info $p/lib/emacs/site-lisp
(cd emacs; make install EMACSDIR=$p/lib/emacs/site-lisp)
(cd infoman; cp -f ocaml*.gz $p/info ; bzme $p/info/*.gz)

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/ocaml
/usr/info/*
/usr/man/man1/*
/usr/lib/menu/*
%doc refman.ps.bz2 htmlman LICENSE Changes README

%files emacs
%defattr(-,root,root)
/usr/lib/emacs/site-lisp/*.el

%changelog
* Mon May  1 2000 Pixel <pixel@mandrakesoft.com> 3.00-1mdk
- new version

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 2.04-9mdk
- fix groups

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 2.04-8mdk
- really add menu

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 2.04-7mdk
- add menu

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 2.04-6mdk
- new group + cleanup

* Mon Dec  6 1999 Pixel <pixel@linux-mandrake.com>
- 2.04

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- 2.03 + cleanup

* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- build root added

* Tue Jun 01 1999 Pixel <pixel@linux-mandrake.com>
- Hacked to package properly ocamltk

* Tue Dec 29 1998 Alexey Nogin <ayn2@cornell.edu>
- Do not include any /usr/lib/ocaml/*.ml files

* Fri Dec 11 1998 Alexey Nogin <ayn2@cornell.edu>
- Updated to ocaml-2.01

* Sun Nov 29 1998 Alexey Nogin <ayn2@cornell.edu>
- Divided ocaml RPM into ocaml and ocaml-emacs RPMs 
  to make it easier to have both ocaml and caml installed
  on the same machine

* Wed Nov 10 1998 Alexey Nogin <ayn2@cornell.edu>
- Changed SRPM according to RHCN Package Requirements
- Added LICENSE, Changelog and README files to the doc directory
